## rtpmp4gdepay rtpmp4gdepay |

## Types and Values

struct | GstRtpMP4GDepay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBaseDepayload
                        ╰── GstRtpMP4GDepay

## Description

## Synopsis

### Element Information

plugin | rtp
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Depayloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-rtp, media=(string){ video, audio, application }, clock-rate=(int)[ 1, 2147483647 ], encoding-name=(string)MPEG4-GENERIC, mode=(string){ generic, CELP-cbr, CELP-vbr, AAC-lbr, AAC-hbr }

name | src
direction | source
presence | always
details | video/mpeg, mpegversion=(int)4, systemstream=(boolean)false
| audio/mpeg, mpegversion=(int)4, stream-format=(string)raw

## Functions

## Types and Values

### struct GstRtpMP4GDepay

    struct GstRtpMP4GDepay;